## mrtg-ping-probe 2.1.0

=== Makefile ===
##################################################################
# @(#) $Id: Makefile,v 2.3 2002/07/14 19:26:17 pwo Exp $
# @(#) mrtg-ping-probe release $Name: Release_2_1_0 $
#
# Copyright (c) 1997-2002 Peter W. Osel <pwo@pwo.de>.
# All Rights Reserved.
#
# See the file COPYRIGHT in the distribution for the exact terms.
#
##################################################################
# Makefile for mrtg-ping-probe
##################################################################

PKG_NAME	= mrtg-ping-probe
PKG_NAME_DOS	= pingp
PKG_MAIN	= pwo@pwo.de
TAR		= gtar
SHAR		= gshar
ZIP		= zip
MD5SUM		= gmd5sum
PGP		= pgp

srcdir		= .

POD		= mrtg-ping-probe
MAN		= $(POD).1
HTML		= $(POD).html
TEX		= $(POD).tex

DIST_COMMON	= COPYING COPYRIGHT ChangeLog INSTALL Makefile NEWS README TODO
SOURCES		= mrtg-ping-probe
EXTRA_DIST	= check-ping-fmt mrtg-ping-cfg mrtg.cfg-ping

DISTFILES	= $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(MANS) $(EXTRA_DIST)

all:	man

man: $(MAN)
$(MAN):	$(POD)
	pod2man $(POD) > $(MAN)

html: $(HTML)
$(HTML): $(POD)
	pod2html $(POD) > $(HTML)

tex: $(TEX)
$(TEX):	$(POD)
	pod2latex $(POD) > $(TEX)

clean:
	rm -f $(MAN) $(HTML) $(TEX)

realclean:	clean

distclean:	realclean


########################################################################
# dist: create the distribution tar and shar files
#		we rely that dist-ok does all error checking
dist: dist-ok dist-dir
	@rel_tag=`grep "$(PKG_NAME) release" Makefile | sed -e 's/.*: //' -e 's/ .*$$//'`; \
	rel_ver=`echo $$rel_tag | sed -e 's/^Release_//' -e 's/_/./g'`; \
	rel_ver_dos=`echo $$rel_ver | sed -e 's/\.//g'`; \
	distdir=$(PKG_NAME)-$$rel_ver; \
	distdirdos=$(PKG_NAME_DOS)-$$rel_ver_dos; \
	GZIP=-9; export GZIP; \
	$(TAR) chozf $$distdir.tar.gz $$distdir; \
	$(SHAR) -n $(PKG_NAME) -a -z -c -s $(PKG_MAIN) -o $$distdir.shar $$distdir; \
	mv $$distdir $$distdirdos; \
	$(ZIP) -or $$distdirdos $$distdirdos; \
	rm -rf $$distdirdos; \
	for file in $$distdir.tar.gz $$distdirdos.zip $$distdir.shar.[0-9][0-9]; do \
		rm -f $$file.md5 $$file.md5.asc; \
		$(MD5SUM) $$file > $$file.md5; \
		$(PGP) -sta $$file.md5 && mv $$file.md5.asc $$file.md5; \
		chmod 444 $$file.md5; \
		done;

########################################################################
# dist-ok: ok to create a distribution?
#	check for valid Release tag in Makefile
#	check for current NEWS file
dist-ok:
	@rel_tag=`grep "$(PKG_NAME) release" Makefile | sed -e 's/.*: //' -e 's/ .*$$//'`; \
	rel_ver=`echo $$rel_tag | sed -e 's/^Release_//' -e 's/_/./g'`; \
	if test -z "$$rel_tag" ; then \
		echo "Makefile(dist-ok): empty release tag $$rel_tag; not releasing" 1>&2; \
		exit 1; \
		fi; \
	if grep $$rel_tag NEWS > /dev/null; then \
		echo "Makefile(dist-ok): found release tag $$rel_tag for $(PKG_NAME) release $$rel_ver"; \
	else \
		echo "Makefile(dist-ok): Can't find Release Tag $$rel_tag in file NEWS" 1>&2; \
		echo "Makefile(dist-ok): not releasing" 1>&2; \
		exit 1; \
		fi ; \

########################################################################
# dist-dir: create the distribution directory
#		we rely that dist-ok has already been called
dist-dir: $(DISTFILES)
	@rel_tag=`grep "$(PKG_NAME) release" Makefile | sed -e 's/.*: //' -e 's/ .*$$//'`; \
	rel_ver=`echo $$rel_tag | sed -e 's/^Release_//' -e 's/_/./g'`; \
	rel_ver_dos=`echo $$rel_ver | sed -e 's/\.//g'`; \
	distdir=$(PKG_NAME)-$$rel_ver; \
	distdirdos=$(PKG_NAME_DOS)-$$rel_ver_dos; \
	rm -rf $$distdir $$distdirdos; \
	mkdir $$distdir; \
	for file in $(DISTFILES); do \
		d=$(srcdir); \
		test -f $$distdir/$$file \
		|| ln $$d/$$file $$distdir/$$file 2> /dev/null \
		|| cp -p $$d/$$file $$distdir/$$file; \
		done; \
	chmod -R a+rX $$distdir;

## mrtg-ping-probe 2.2.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 ##################################################################
-# @(#) $Id: Makefile,v 2.3 2002/07/14 19:26:17 pwo Exp $
-# @(#) mrtg-ping-probe release $Name: Release_2_1_0 $
+# @(#) $Id: Makefile,v 2.4 2003/09/13 18:04:29 pwo Exp $
+# @(#) mrtg-ping-probe release $Name: Release_2_2_0 $
 #
-# Copyright (c) 1997-2002 Peter W. Osel <pwo@pwo.de>.
+# Copyright (c) 1997-2003 Peter W. Osel <pwo@pwo.de>.
 # All Rights Reserved.
 #
 # See the file COPYRIGHT in the distribution for the exact terms.

=== debian/changelog ===
mrtg-ping-probe (2.2.0-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Use wrap-and-sort -at for debian control files.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dh arguments: --parallel

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 20 Nov 2024 23:52:08 +0100

mrtg-ping-probe (2.2.0-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
    - Add Rules-Requires-Root field.
    - Bump Standards-Version to "4.7.0".

 -- Luis Augusto Santos Silva <guto1809@gmail.com>  Fri, 14 Jun 2024 13:42:01 -0300

mrtg-ping-probe (2.2.0-3) unstable; urgency=medium

  * QA upload.
  * d/copyright: Convert to machine-readable format.
  * Convert to 3.0 (quilt) format (Closes: #1007309).

 -- Bastian Germann <bage@debian.org>  Mon, 29 Aug 2022 17:09:27 +0200

mrtg-ping-probe (2.2.0-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jun 2022 15:01:01 +0200

mrtg-ping-probe (2.2.0-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * dh 9.  Closes: #817589.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 01 Aug 2016 11:21:39 +0200

mrtg-ping-probe (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Raised Perl version requirement to 5.6.1 minimum
  * Bugfix so ping process reliably killed
  * Typo fixes in comments and messages
  * Changed standards version to 3.8.0

 -- Jonathan Oxer <jon@debian.org>  Wed, 17 Dec 2008 09:26:18 +1100

mrtg-ping-probe (2.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Remove netkit-ping dependency, and replace with a
    dependency on the ping virtual package.  Closes: #383983.

 -- Roger Leigh <rleigh@debian.org>  Sun, 27 Aug 2006 23:52:43 +0100

mrtg-ping-probe (2.1.0-1) unstable; urgency=low

  * Initial release as a Debian package. Very clean: the only
    change needed was to alter the path to the Perl interpreter.
    Closes: #188516

 -- Jonathan Oxer <jon@debian.org>  Mon, 14 Apr 2003 11:09:45 +1000

=== debian/control ===
Source: mrtg-ping-probe
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/mrtg-ping-probe
Vcs-Git: https://salsa.debian.org/debian/mrtg-ping-probe.git

Package: mrtg-ping-probe
Architecture: all
Depends: iputils-ping | ping,
         mrtg (>= 2),
         perl,
         ${misc:Depends},
Description: Ping module for Multi Router Traffic Grapher
 mrtg-ping-probe is a ping probe for MRTG 2.x.  It is used to monitor
 the round trip time and packet loss to networked devices.  MRTG uses
 its output to generate graphs visualizing minimum and maximum round
 trip times or packet loss.
